Displaying 20 results from an estimated 26628 matches for "exits".
Did you mean:
exit
2009 Nov 20
1
fix new failures from latest-from-gnulib syntax-check
...exit (EXIT_FAILURE);
}
strcat (cmd, " '");
strcat (cmd, argv[optind]);
@@ -382,7 +382,7 @@ main (int argc, char *argv[])
r = system (cmd);
if (r == -1) {
perror ("system");
- exit (1);
+ exit (EXIT_FAILURE);
}
exit (WEXITSTATUS (r));
}
@@ -392,7 +392,7 @@ main (int argc, char *argv[])
/* If we've got mountpoints, we must launch the guest and mount them. */
if (mps != NULL) {
- if (launch (g) == -1) exit (1);
+ if (launch (g) == -1) exit (EXIT_FAILURE);
mount_mps (mps);
}
@@ -401,7 +401,7...
2013 Nov 03
1
on.exit() & sys.on.exit(): Calling them via eval() does not work as hoped
Why does the following eval() call on sys.on.exit() not return what I
expect/evaluate in the proper environment?
foo <- function() {
cat("foo()...\n");
on.exit( message("exiting") )
cat("sys.on.exit():\n")
res <- sys.on.exit()
print(res)
cat("eval(sys.on.exit()):\n")
expr <- quote(sys.on.exit())
print(expr)
res <- eval(expr)
2001 Sep 10
1
on.exit processing
I have encountered a 'strange' behavior in the 'on.exit' processing. I had
a function where I setup an 'on.exit' condition and then later on added to
it with an 'on.exit({...}, add=T)'. What appeared to happen is that on
subsequent calls to the function, even if only the first 'on.exit' was
called, it was still executing the one with the 'add=T'.
2003 Apr 09
5
httpd exited on signal 11
Hello Folks,
I have used FreeBSD-4.8-RC and apache 1.3.2x. In some days,my dmesg
has shown as the lines;
pid 9229 (httpd), uid 80: exited on signal 11
pid 10106 (httpd), uid 80: exited on signal 11
pid 9842 (httpd), uid 80: exited on signal 11
pid 35708 (httpd), uid 80: exited on signal 11
pid 9371 (httpd), uid 80: exited on signal 11
pid 10337 (httpd), uid 80: exited on
2005 Oct 05
2
Confused
Hi all,
I really don't know where to go from here. I've traced and pasted, but
never heard responses....
I'm getting the following (see bottom of this email) in a single day of
dmesg....most of the time the error message in the log file is something like:
Oct 5 09:21:43 mail1 dovecot: imap(*****): file mbox-save.c: line
280 (mbox_save_init_file): assertion failed:
2007 Oct 07
2
Specing exit codes
...o I put here?
end
end
------------------------
I have tried a number of things, from trying to stub exit to aliasing
kernel.exit to something else and replacing it... all without joy.
The spec runs and hits the "exit 1" in init.rb and does what it is
mean to do... exit. But that also exits RSpec and so the test is
never run!
The only thing I found DID work is if I alias Kernel.exit inside the
init.rb file to "real_exit" and then redefine Kernel exit like so:
class Object
module Kernel
alias real_exit exit
def exit(arg)
return true if arg == 1
end
end...
2007 Jul 25
2
proc:::exit not firing
I have a funny issue whereby when a application exits the proc:::exit
probe doesn''t seem to be firing.
A customer has written a dtrace script that outputs some info whenever
proc:::exit fires but on occasion (random, no pattern in behaviour)
dtrace exits without outputting the data.
They are running dtrace via ''dtrace -s exit_tra...
2018 Sep 13
0
[PATCH v2 nbdkit 4/5] tests: Use a generic cleanup mechanism instead of explicit trap.
...fdfe5..42e3925 100644
--- a/tests/functions.sh.in
+++ b/tests/functions.sh.in
@@ -32,6 +32,31 @@
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
+# cleanup_fn f [args]
+#
+# A generic trap handling function. This runs the function f + args
+# when the script exits for any reason.
+declare -a _cleanup_hook
+cleanup_fn ()
+{
+ _cleanup_hook[${#_cleanup_hook[@]}]="$@"
+}
+
+_run_cleanup_hooks ()
+{
+ status=$?
+ set +e
+ trap '' INT QUIT TERM EXIT ERR
+ echo $0: run cleanup hooks: exit code $status
+
+ for (( i = 0; i < ${...
2020 Oct 20
1
[PATCH nbdkit INCOMPLETE] New filter: exitwhen: exit gracefully when an event occurs.
This incomplete patch adds a new filter allowing more control over
when nbdkit exits. You can now get nbdkit to exit gracefully on
certain events, such as a file being created, a pipe held open by
another process going away, or when another PID exits. There is also
a script option to allow for completely custom events.
It is untested at the moment, I'm posting it to get feed...
2017 Dec 01
3
tryCatch in on.exit()
The following example involves a function whose on.exit()
expression both generates an error and catches the error.
The body of the function also generates an error.
When calling the function wrapped in a tryCatch, should
that tryCatch's error function be given the error from the
body of the function, since the one from the on.exit has
already been dealt with? Currently the outer tryCatch
2007 Jan 23
12
How to exit from console?
Hi, all
Stupid question, but how do you exit asterisk console without stopping
the asterisk?
Tried quit and exit:
*CLI> exit
No such command 'exit' (type 'help' for help)
*CLI> quit
No such command 'quit' (type 'help' for help)
*CLI>
Any other ideas?
I started asterisk with -cvvvvg option. Same problem if use asterisk
-r to connect. Can not exit.
Any
2018 Apr 05
2
[nbdkit PATCH] tests: Skip guestfs tests on CentOS 6
CentOS 6 has libguestfs-devel 1.20.11, which predates the support
in guestfs_add_drive_opts() for requesting an nbd drive instead
of a local file. The guestfs plugin can still be built, so no
configure changes are needed; but skip the tests that fail to
compile so that 'make check' can at least complete.
Signed-off-by: Eric Blake <eblake@redhat.com>
---
Even with this patch,
2015 Jul 09
4
[LLVMdev] readonly and infinite loops
...; preds = %exit.inner
%v.ph.lcssa = phi i32 [ %v.ph, %exit.inner ]
ret i32 %v.ph.lcssa
}
where it unconditionally dereferences %x, effectively introducing UB
if %x is not dereferenceable.
The bug is in isGuaranteedToExecute. It assumes that if an
instruction dominates all the loop exits then it will always be
executed by the loop "on its way out". But there may never be a way
out of the loop.
-- Sanjoy
2005 Aug 24
1
Test Failure on Mac OS X 10.4.2
I was able to get it to compile but the tests are failing. When I run
the test as root I get:
run test connect.sh ...
Connection closed by 127.0.0.1
ssh connect with protocol 1 failed
failed simple connect
make[1]: *** [t-exec] Error 1
make: *** [tests] Error 2
However, when I run as a normal user I got:
test remote exit status: proto 1 status 0
2020 Oct 21
0
[PATCH nbdkit] New filter: exitwhen: exit gracefully when an event occurs.
...twhen-file-already-created.sh | 45 ++
.../test-exitwhen-file-created-reject-new.sh | 88 ++++
tests/test-exitwhen-file-created-when-idle.sh | 63 +++
tests/test-exitwhen-file-created.sh | 91 ++++
tests/test-exitwhen-file-deleted.sh | 68 +++
tests/test-exitwhen-process-exits.sh | 69 +++
tests/test-exitwhen-script.sh | 70 +++
tests/test-exitwhen-pipe-closed.c | 81 +++
.gitignore | 1 +
20 files changed, 1309 insertions(+), 2 deletions(-)
diff --git a/docs/nbdkit-captive.pod b/docs/nbdkit-ca...
2002 Nov 25
0
Linux and Samba Code
Here is an executable that would allow a user to change the linux and
SMB passwords simultaneously.
The website indicated in the comments had some problems in the code, but
they are fixed in the cpasswd.c file which is below and also attached.
Hope that this helps others. The code is a fix, not a solution. it only
works from the command prompt, but it helps with keeping linyx and Samba
2013 May 31
2
3.0.1 update and compiler package
Hi,
I recently updated to R 3.0.1. I'm running linux ubuntu 12.04. I
realized that I have to update all the installed packages so I run >
update.packages(checkBuilt=TRUE)
as described here
http://www.r-bloggers.com/r-3-0-0-is-released-whats-new-and-how-to-upgrade/
. The first thing it did was telling me that it will not update several
packages. When it was finished I used the warnings
2016 Apr 04
2
[PATCH 1/2] Use 'error' function consistently throughout.
...*mountpoint, char **error_rtn)
buf[len] = '\0';
}
- if (waitpid (pid, &r, 0) == -1) {
- perror ("waitpid");
- exit (EXIT_FAILURE);
- }
+ if (waitpid (pid, &r, 0) == -1)
+ error (EXIT_FAILURE, errno, "waitpid");
if (!WIFEXITED (r) || WEXITSTATUS (r) != 0) {
if (verbose)
@@ -343,10 +330,8 @@ do_fuser (const char *mountpoint)
pid_t pid;
pid = fork ();
- if (pid == -1) {
- perror ("fork");
- exit (EXIT_FAILURE);
- }
+ if (pid == -1)
+ error (EXIT_FAILURE, errno, "fork");
if (pid == 0) {...
2011 Mar 31
3
[LLVMdev] inserting exit function into IR
Hi Joshua,
I have a function foo and I want to insert exit(0) at the end of foo.
The problem is M.getFunction returns null, which is understandable. I am not
sure what to do. Below is the code snippet.
void foo(int argc, char* argv[]) {
printf("hello world\n");
exit(0); //***I want to insert this exit
}
My llvm code snippet is
vector<const Type *> params =
2019 May 22
1
make running on.exit expr uninterruptible
Hi,
Is there currently any way to guarantee that on.exit does not fail to execute the recorded expression because of a user interrupt arriving during function exit? Consider:
f <- function() {
suspendInterrupts({
on.exit(suspendInterrupts(cntr_on.exit <<- cntr_on.exit + 1L))
cntr_f <<- cntr_f + 1L
})
TRUE
}
It is possible to interrupt this function such that cntr_f